#include <NewPing.h>

// ---------------------------------------------------------------------------
// Exemple d'un croquis URF utilisé pour controler un piezo.
// ---------------------------------------------------------------------------

#define TRIGGER_PIN  5  // Broche Arduino connecté à la broche trigger sur le capteur ultrason
#define ECHO_PIN     6  // Broche Arduino connecté à la broche echo sur le capteur ultrason
#define MAX_DISTANCE 200 // Distance maximale qu'on veut détecter (en centimètres). Distance maximale du capteur est environ 400-500cm.

int piezoPin = 3;  // Broche Arduno assignée au haut-parleur piezo
int distance = 0;
NewPing sonar(TRIGGER_PIN, ECHO_PIN, MAX_DISTANCE); // Préparation de broches et distance maximale de NewPing

void setup() {
  Serial.begin(115200); // Ouvre le moniteur de série au baud de 115200 pour voir les résultats
  pinMode(piezoPin, OUTPUT);   // Configure le piezo comme une broche de sortie
}

void loop() {
  Serial.print("Ping: ");
  distance = sonar.ping_cm();
  Serial.print(distance); // Envoie le ping, reôit la distance en cm et imprime résultat (0 = en dehors de la plage de distance définie)
  Serial.println("cm");
  if (distance <= 15) { // Faire du bruit si la distance détectée est moins que 15cm
    digitalWrite(piezoPin, HIGH);
    delay(20);
    digitalWrite(piezoPin, LOW);
    delay(20);
    digitalWrite(piezoPin, HIGH);
    delay(20);
    digitalWrite(piezoPin, LOW);
    delay(20);
  } else {
    digitalWrite(piezoPin, LOW);
  }

}
